using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace XMTAEditor
{
	public partial class BaseEditor : UserControl
	{
		protected bool changed = false;
		protected string className = null;

		public BaseEditor()
		{
			InitializeComponent();
		}

		public string ClassName
		{
			get { return className; }
			set { className = value; }
		}

		protected virtual void Fill()
		{
		}

		public virtual void Save()
		{
			changed = false;
		}
	}
}
